import { $ } from '../../../../../../Class/$';
import { Functional } from '../../../../../../Class/Functional';
import { Done } from '../../../../../../Class/Functional/Done';
import { System } from '../../../../../../system';
import { AN } from '../../../../../../types/interface/AN';
export type I = {
    node: AN & $;
    gain: number;
};
export type O = {
    node: AN;
};
export default class GainNode_ extends Functional<I, O> {
    private _node;
    constructor(system: System);
    f({ node: sourceNode, gain }: I, done: Done<O>): void;
    private _disconnect;
    i(): void;
    d(name: any, data: any): void;
}
